| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions

# Tp::StatefulDBusProxy Class Reference

`#include <TelepathyQt4/DBusProxy>`

Inherits Tp::DBusProxy.

Inherited by Tp::Channel, Tp::ChannelDispatchOperation, Tp::ChannelRequest, and Tp::Connection.

List of all members.

## Public Member Functions

- StatefulDBusProxy (const QDBusConnection &dbusConnection, const QString &busName, const QString &objectPath, QObject *parent=0)
- virtual ~StatefulDBusProxy ()

## Static Public Member Functions

- static QString uniqueNameFrom (const QDBusConnection &bus, const QString &wellKnownOrUnique)
- static QString uniqueNameFrom (const QDBusConnection &bus, const QString &wellKnownOrUnique, QString &error, QString &message)

## Detailed Description

: ?

Base class representing a remote object whose API is stateful. These objects do not remain useful if the service providing them exits or crashes, so they emit invalidated() if this happens.

Examples include the Connection and Channel.

## Constructor & Destructor Documentation

Tp::StatefulDBusProxy::StatefulDBusProxy | ( | const QDBusConnection & | dbusConnection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

Tp::StatefulDBusProxy::~StatefulDBusProxy | ( |  | ) | `[virtual]`

## Member Function Documentation

QString Tp::StatefulDBusProxy::uniqueNameFrom | ( | const QDBusConnection & | bus,
|  | const QString & | wellKnownOrUnique |
| ) |  |  | `[static]`

QString Tp::StatefulDBusProxy::uniqueNameFrom | ( | const QDBusConnection & | bus,
|  | const QString & | wellKnownOrUnique,
|  | QString & | error,
|  | QString & | message |
| ) |  |  | `[static]`